# tracing_core::callsite::Callsite - Rust
API documentation for the Rust `Callsite` trait in crate `tracing_core`.
Keywords: rust, rustlang, rust-lang, Callsite

# Trait tracing_core::callsite::Callsite [−] [src]

    pub trait Callsite: Sync {
        fn set_interest(&self, interest: Interest);
        fn metadata(&self) -> &Metadata<'_>;
    }

Trait implemented by callsites.

These functions are only intended to be called by the callsite registry, which correctly handles determining the common interest between all subscribers.

## Required methods

### `fn set_interest(&self, interest: Interest)` [src]

Sets the `Interest` for this callsite.

### `fn metadata(&self) -> &Metadata<'_>` [src]

Returns the metadata associated with the callsite.

Loading content...

## Implementors

Loading content...